export namespace aws {
    export { registerS3Runtime };
    export { s3List };
    export { s3PresignGet };
    export { s3PresignPut };
    export { s3Upload };
    export { s3UploadAll };
}
export namespace core {
    export { asId };
    export { booleanb };
    export { eitherb };
    export { expose };
    export { extendStruct };
    export { fileb };
    export { floatb };
    export { funcb };
    export { getInternalPolicy };
    export { getPublicPolicy };
    export { getTransformData };
    export { getTypeRepr };
    export { initTypegraph };
    export { integerb };
    export { listb };
    export { optionalb };
    export { refb };
    export { registerContextPolicy };
    export { registerPolicy };
    export { renameType };
    export { serializeTypegraph };
    export { setSeed };
    export { stringb };
    export { structb };
    export { unionb };
    export { withConfig };
    export { withInjection };
    export { withPolicy };
}
export namespace runtimes {
    export { callGrpcMethod };
    export { createRandomMat };
    export { fromPythonDef };
    export { fromPythonImport };
    export { fromPythonLambda };
    export { fromPythonModule };
    export { fromWasmReflectedFunc };
    export { fromWasmWireHandler };
    export { generateSubstantialOperation };
    export { generateTemporalOperation };
    export { getDenoRuntime };
    export { getPredefinedDenoFunc };
    export { graphqlMutation };
    export { graphqlQuery };
    export { httpRequest };
    export { importDenoFunction };
    export { kvOperation };
    export { prismaAggregate };
    export { prismaCreateMany };
    export { prismaCreateOne };
    export { prismaDeleteMany };
    export { prismaDeleteOne };
    export { prismaExecute };
    export { prismaFindFirst };
    export { prismaFindMany };
    export { prismaFindUnique };
    export { prismaGroupBy };
    export { prismaLink };
    export { prismaMigration };
    export { prismaQueryRaw };
    export { prismaUpdateMany };
    export { prismaUpdateOne };
    export { prismaUpsertOne };
    export { registerDenoFunc };
    export { registerDenoStatic };
    export { registerGraphqlRuntime };
    export { registerGrpcRuntime };
    export { registerHttpRuntime };
    export { registerKvRuntime };
    export { registerPrismaRuntime };
    export { registerPythonRuntime };
    export { registerRandomRuntime };
    export { registerSubstantialRuntime };
    export { registerTemporalRuntime };
    export { registerTypegateMaterializer };
    export { registerTypegraphMaterializer };
    export { registerWasmReflectedRuntime };
    export { registerWasmWireRuntime };
}
export namespace utils {
    export { addAuth };
    export { addGraphqlEndpoint };
    export { addRawAuth };
    export { gqlDeployQuery };
    export { gqlPingQuery };
    export { gqlRemoveQuery };
    export { metagenExec };
    export { metagenWriteFiles };
    export { oauth2 };
    export { oauth2WithCustomProfiler };
    export { oauth2WithExtendedProfiler };
    export { oauth2WithoutProfiler };
    export { reduceb };
}
declare function registerS3Runtime(arg0: any): number | {
    stack: string[];
};
declare function s3List(arg0: any, arg1: any): number | {
    stack: string[];
};
declare function s3PresignGet(arg0: any, arg1: any): number | {
    stack: string[];
};
declare function s3PresignPut(arg0: any, arg1: any): number | {
    stack: string[];
};
declare function s3Upload(arg0: any, arg1: any): number | {
    stack: string[];
};
declare function s3UploadAll(arg0: any, arg1: any): number | {
    stack: string[];
};
declare function asId(arg0: any, arg1: any): number | {
    stack: string[];
};
declare function booleanb(): number | {
    stack: string[];
};
declare function eitherb(arg0: any): number | {
    stack: string[];
};
declare function expose(arg0: any, arg1: any): {
    stack: string[];
} | undefined;
declare function extendStruct(arg0: any, arg1: any): number | {
    stack: string[];
};
declare function fileb(arg0: any): number | {
    stack: string[];
};
declare function floatb(arg0: any): number | {
    stack: string[];
};
declare function funcb(arg0: any): number | {
    stack: string[];
};
declare function getInternalPolicy(): (string | number)[] | {
    stack: string[];
};
declare function getPublicPolicy(): (string | number)[] | {
    stack: string[];
};
declare function getTransformData(arg0: any, arg1: any): {
    queryInput: number;
    parameterTransform: {
        resolverInput: number;
        transformTree: string;
    };
    stack?: undefined;
} | {
    stack: string[];
    queryInput?: undefined;
    parameterTransform?: undefined;
};
declare function getTypeRepr(arg0: any): string | {
    stack: string[];
};
declare function initTypegraph(arg0: any): {
    stack: string[];
} | undefined;
declare function integerb(arg0: any): number | {
    stack: string[];
};
declare function listb(arg0: any): number | {
    stack: string[];
};
declare function optionalb(arg0: any): number | {
    stack: string[];
};
declare function refb(arg0: any, arg1: any): number | {
    stack: string[];
};
declare function registerContextPolicy(arg0: any, arg1: any): (string | number)[] | {
    stack: string[];
};
declare function registerPolicy(arg0: any): number | {
    stack: string[];
};
declare function renameType(arg0: any, arg1: any): number | {
    stack: string[];
};
declare function serializeTypegraph(arg0: any): (string | {
    path: string;
    hash: string;
    size: number;
}[])[] | {
    stack: string[];
};
declare function setSeed(arg0: any): {
    stack: string[];
} | undefined;
declare function stringb(arg0: any): number | {
    stack: string[];
};
declare function structb(arg0: any): number | {
    stack: string[];
};
declare function unionb(arg0: any): number | {
    stack: string[];
};
declare function withConfig(arg0: any, arg1: any): number | {
    stack: string[];
};
declare function withInjection(arg0: any, arg1: any): number | {
    stack: string[];
};
declare function withPolicy(arg0: any, arg1: any): number | {
    stack: string[];
};
declare function callGrpcMethod(arg0: any, arg1: any): {
    inp: number;
    out: number;
    mat: number;
    stack?: undefined;
} | {
    stack: string[];
    inp?: undefined;
    out?: undefined;
    mat?: undefined;
};
declare function createRandomMat(arg0: any, arg1: any): number | {
    stack: string[];
};
declare function fromPythonDef(arg0: any, arg1: any): number | {
    stack: string[];
};
declare function fromPythonImport(arg0: any, arg1: any): number | {
    stack: string[];
};
declare function fromPythonLambda(arg0: any, arg1: any): number | {
    stack: string[];
};
declare function fromPythonModule(arg0: any, arg1: any): number | {
    stack: string[];
};
declare function fromWasmReflectedFunc(arg0: any, arg1: any): number | {
    stack: string[];
};
declare function fromWasmWireHandler(arg0: any, arg1: any): number | {
    stack: string[];
};
declare function generateSubstantialOperation(arg0: any, arg1: any): {
    inp: number;
    out: number;
    mat: number;
    stack?: undefined;
} | {
    stack: string[];
    inp?: undefined;
    out?: undefined;
    mat?: undefined;
};
declare function generateTemporalOperation(arg0: any, arg1: any): {
    inp: number;
    out: number;
    mat: number;
    stack?: undefined;
} | {
    stack: string[];
    inp?: undefined;
    out?: undefined;
    mat?: undefined;
};
declare function getDenoRuntime(): number;
declare function getPredefinedDenoFunc(arg0: any): number | {
    stack: string[];
};
declare function graphqlMutation(arg0: any, arg1: any): number | {
    stack: string[];
};
declare function graphqlQuery(arg0: any, arg1: any): number | {
    stack: string[];
};
declare function httpRequest(arg0: any, arg1: any): number | {
    stack: string[];
};
declare function importDenoFunction(arg0: any, arg1: any): number | {
    stack: string[];
};
declare function kvOperation(arg0: any, arg1: any): number | {
    stack: string[];
};
declare function prismaAggregate(arg0: any, arg1: any): {
    inp: number;
    out: number;
    mat: number;
    stack?: undefined;
} | {
    stack: string[];
    inp?: undefined;
    out?: undefined;
    mat?: undefined;
};
declare function prismaCreateMany(arg0: any, arg1: any): {
    inp: number;
    out: number;
    mat: number;
    stack?: undefined;
} | {
    stack: string[];
    inp?: undefined;
    out?: undefined;
    mat?: undefined;
};
declare function prismaCreateOne(arg0: any, arg1: any): {
    inp: number;
    out: number;
    mat: number;
    stack?: undefined;
} | {
    stack: string[];
    inp?: undefined;
    out?: undefined;
    mat?: undefined;
};
declare function prismaDeleteMany(arg0: any, arg1: any): {
    inp: number;
    out: number;
    mat: number;
    stack?: undefined;
} | {
    stack: string[];
    inp?: undefined;
    out?: undefined;
    mat?: undefined;
};
declare function prismaDeleteOne(arg0: any, arg1: any): {
    inp: number;
    out: number;
    mat: number;
    stack?: undefined;
} | {
    stack: string[];
    inp?: undefined;
    out?: undefined;
    mat?: undefined;
};
declare function prismaExecute(arg0: any, arg1: any, arg2: any, arg3: any): {
    inp: number;
    out: number;
    mat: number;
    stack?: undefined;
} | {
    stack: string[];
    inp?: undefined;
    out?: undefined;
    mat?: undefined;
};
declare function prismaFindFirst(arg0: any, arg1: any): {
    inp: number;
    out: number;
    mat: number;
    stack?: undefined;
} | {
    stack: string[];
    inp?: undefined;
    out?: undefined;
    mat?: undefined;
};
declare function prismaFindMany(arg0: any, arg1: any): {
    inp: number;
    out: number;
    mat: number;
    stack?: undefined;
} | {
    stack: string[];
    inp?: undefined;
    out?: undefined;
    mat?: undefined;
};
declare function prismaFindUnique(arg0: any, arg1: any): {
    inp: number;
    out: number;
    mat: number;
    stack?: undefined;
} | {
    stack: string[];
    inp?: undefined;
    out?: undefined;
    mat?: undefined;
};
declare function prismaGroupBy(arg0: any, arg1: any): {
    inp: number;
    out: number;
    mat: number;
    stack?: undefined;
} | {
    stack: string[];
    inp?: undefined;
    out?: undefined;
    mat?: undefined;
};
declare function prismaLink(arg0: any): number | {
    stack: string[];
};
declare function prismaMigration(arg0: any): {
    inp: number;
    out: number;
    mat: number;
    stack?: undefined;
} | {
    stack: string[];
    inp?: undefined;
    out?: undefined;
    mat?: undefined;
};
declare function prismaQueryRaw(arg0: any, arg1: any, arg2: any, arg3: any): {
    inp: number;
    out: number;
    mat: number;
    stack?: undefined;
} | {
    stack: string[];
    inp?: undefined;
    out?: undefined;
    mat?: undefined;
};
declare function prismaUpdateMany(arg0: any, arg1: any): {
    inp: number;
    out: number;
    mat: number;
    stack?: undefined;
} | {
    stack: string[];
    inp?: undefined;
    out?: undefined;
    mat?: undefined;
};
declare function prismaUpdateOne(arg0: any, arg1: any): {
    inp: number;
    out: number;
    mat: number;
    stack?: undefined;
} | {
    stack: string[];
    inp?: undefined;
    out?: undefined;
    mat?: undefined;
};
declare function prismaUpsertOne(arg0: any, arg1: any): {
    inp: number;
    out: number;
    mat: number;
    stack?: undefined;
} | {
    stack: string[];
    inp?: undefined;
    out?: undefined;
    mat?: undefined;
};
declare function registerDenoFunc(arg0: any, arg1: any): number | {
    stack: string[];
};
declare function registerDenoStatic(arg0: any, arg1: any): number | {
    stack: string[];
};
declare function registerGraphqlRuntime(arg0: any): number | {
    stack: string[];
};
declare function registerGrpcRuntime(arg0: any): number | {
    stack: string[];
};
declare function registerHttpRuntime(arg0: any): number | {
    stack: string[];
};
declare function registerKvRuntime(arg0: any): number | {
    stack: string[];
};
declare function registerPrismaRuntime(arg0: any): number | {
    stack: string[];
};
declare function registerPythonRuntime(): number | {
    stack: string[];
};
declare function registerRandomRuntime(arg0: any): number | {
    stack: string[];
};
declare function registerSubstantialRuntime(arg0: any): number | {
    stack: string[];
};
declare function registerTemporalRuntime(arg0: any): number | {
    stack: string[];
};
declare function registerTypegateMaterializer(arg0: any): number | {
    stack: string[];
};
declare function registerTypegraphMaterializer(arg0: any): number | {
    stack: string[];
};
declare function registerWasmReflectedRuntime(arg0: any): number | {
    stack: string[];
};
declare function registerWasmWireRuntime(arg0: any): number | {
    stack: string[];
};
declare function addAuth(arg0: any): number | {
    stack: string[];
};
declare function addGraphqlEndpoint(arg0: any): number | {
    stack: string[];
};
declare function addRawAuth(arg0: any): number | {
    stack: string[];
};
declare function gqlDeployQuery(arg0: any): string;
declare function gqlPingQuery(): string;
declare function gqlRemoveQuery(arg0: any): string;
declare function metagenExec(arg0: any): {
    path: string;
    content: string;
    overwrite: boolean | void;
}[] | {
    stack: string[];
};
declare function metagenWriteFiles(arg0: any, arg1: any): {
    stack: string[];
} | undefined;
declare function oauth2(arg0: any, arg1: any): string | {
    stack: string[];
};
declare function oauth2WithCustomProfiler(arg0: any, arg1: any, arg2: any): string | {
    stack: string[];
};
declare function oauth2WithExtendedProfiler(arg0: any, arg1: any, arg2: any): string | {
    stack: string[];
};
declare function oauth2WithoutProfiler(arg0: any, arg1: any): string | {
    stack: string[];
};
declare function reduceb(arg0: any, arg1: any): number | {
    stack: string[];
};
export {};
